Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network79.78.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
Network address
79.78.0.0
Broadcast address
79.79.255.255
First usable
79.78.0.1
Last usable
79.79.255.254
Usable hosts
131,070 (131,072 less the network and broadcast addresses)
Subnet mask
255.254.0.0
Wildcard mask
0.1.255.255 (Cisco ACLs, OSPF)
Prefix length
/15
Type
Public public
Old class
A (default /8)
As numbers
Hex 4F4E0000 · Integer 1330511872 to 1330642943
Reverse DNS zones
78.79.in-addr.arpa
79.79.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01001111.01001110.00000000.0000000079.78.0.0
Subnet mask11111111.11111110.00000000.00000000255.254.0.0
Network01001111.01001110.00000000.0000000079.78.0.0
Broadcast01001111.01001111.11111111.1111111179.79.255.255
Split into smaller subnets/25

79.78.0.0/15 makes 1,024 subnets of /25; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
179.78.0.0/2579.78.0.1 to 79.78.0.12679.78.0.127126
279.78.0.128/2579.78.0.129 to 79.78.0.25479.78.0.255126
379.78.1.0/2579.78.1.1 to 79.78.1.12679.78.1.127126
479.78.1.128/2579.78.1.129 to 79.78.1.25479.78.1.255126
579.78.2.0/2579.78.2.1 to 79.78.2.12679.78.2.127126
679.78.2.128/2579.78.2.129 to 79.78.2.25479.78.2.255126
779.78.3.0/2579.78.3.1 to 79.78.3.12679.78.3.127126
879.78.3.128/2579.78.3.129 to 79.78.3.25479.78.3.255126
979.78.4.0/2579.78.4.1 to 79.78.4.12679.78.4.127126
1079.78.4.128/2579.78.4.129 to 79.78.4.25479.78.4.255126
1179.78.5.0/2579.78.5.1 to 79.78.5.12679.78.5.127126
1279.78.5.128/2579.78.5.129 to 79.78.5.25479.78.5.255126
1379.78.6.0/2579.78.6.1 to 79.78.6.12679.78.6.127126
1479.78.6.128/2579.78.6.129 to 79.78.6.25479.78.6.255126
1579.78.7.0/2579.78.7.1 to 79.78.7.12679.78.7.127126
1679.78.7.128/2579.78.7.129 to 79.78.7.25479.78.7.255126
1779.78.8.0/2579.78.8.1 to 79.78.8.12679.78.8.127126
1879.78.8.128/2579.78.8.129 to 79.78.8.25479.78.8.255126
1979.78.9.0/2579.78.9.1 to 79.78.9.12679.78.9.127126
2079.78.9.128/2579.78.9.129 to 79.78.9.25479.78.9.255126
2179.78.10.0/2579.78.10.1 to 79.78.10.12679.78.10.127126
2279.78.10.128/2579.78.10.129 to 79.78.10.25479.78.10.255126
2379.78.11.0/2579.78.11.1 to 79.78.11.12679.78.11.127126
2479.78.11.128/2579.78.11.129 to 79.78.11.25479.78.11.255126
2579.78.12.0/2579.78.12.1 to 79.78.12.12679.78.12.127126
2679.78.12.128/2579.78.12.129 to 79.78.12.25479.78.12.255126
2779.78.13.0/2579.78.13.1 to 79.78.13.12679.78.13.127126
2879.78.13.128/2579.78.13.129 to 79.78.13.25479.78.13.255126
2979.78.14.0/2579.78.14.1 to 79.78.14.12679.78.14.127126
3079.78.14.128/2579.78.14.129 to 79.78.14.25479.78.14.255126
3179.78.15.0/2579.78.15.1 to 79.78.15.12679.78.15.127126
3279.78.15.128/2579.78.15.129 to 79.78.15.25479.78.15.255126
3379.78.16.0/2579.78.16.1 to 79.78.16.12679.78.16.127126
3479.78.16.128/2579.78.16.129 to 79.78.16.25479.78.16.255126
3579.78.17.0/2579.78.17.1 to 79.78.17.12679.78.17.127126
3679.78.17.128/2579.78.17.129 to 79.78.17.25479.78.17.255126
3779.78.18.0/2579.78.18.1 to 79.78.18.12679.78.18.127126
3879.78.18.128/2579.78.18.129 to 79.78.18.25479.78.18.255126
3979.78.19.0/2579.78.19.1 to 79.78.19.12679.78.19.127126
4079.78.19.128/2579.78.19.129 to 79.78.19.25479.78.19.255126
4179.78.20.0/2579.78.20.1 to 79.78.20.12679.78.20.127126
4279.78.20.128/2579.78.20.129 to 79.78.20.25479.78.20.255126
4379.78.21.0/2579.78.21.1 to 79.78.21.12679.78.21.127126
4479.78.21.128/2579.78.21.129 to 79.78.21.25479.78.21.255126
4579.78.22.0/2579.78.22.1 to 79.78.22.12679.78.22.127126
4679.78.22.128/2579.78.22.129 to 79.78.22.25479.78.22.255126
4779.78.23.0/2579.78.23.1 to 79.78.23.12679.78.23.127126
4879.78.23.128/2579.78.23.129 to 79.78.23.25479.78.23.255126
4979.78.24.0/2579.78.24.1 to 79.78.24.12679.78.24.127126
5079.78.24.128/2579.78.24.129 to 79.78.24.25479.78.24.255126
5179.78.25.0/2579.78.25.1 to 79.78.25.12679.78.25.127126
5279.78.25.128/2579.78.25.129 to 79.78.25.25479.78.25.255126
5379.78.26.0/2579.78.26.1 to 79.78.26.12679.78.26.127126
5479.78.26.128/2579.78.26.129 to 79.78.26.25479.78.26.255126
5579.78.27.0/2579.78.27.1 to 79.78.27.12679.78.27.127126
5679.78.27.128/2579.78.27.129 to 79.78.27.25479.78.27.255126
5779.78.28.0/2579.78.28.1 to 79.78.28.12679.78.28.127126
5879.78.28.128/2579.78.28.129 to 79.78.28.25479.78.28.255126
5979.78.29.0/2579.78.29.1 to 79.78.29.12679.78.29.127126
6079.78.29.128/2579.78.29.129 to 79.78.29.25479.78.29.255126
6179.78.30.0/2579.78.30.1 to 79.78.30.12679.78.30.127126
6279.78.30.128/2579.78.30.129 to 79.78.30.25479.78.30.255126
6379.78.31.0/2579.78.31.1 to 79.78.31.12679.78.31.127126
6479.78.31.128/2579.78.31.129 to 79.78.31.25479.78.31.255126
6579.78.32.0/2579.78.32.1 to 79.78.32.12679.78.32.127126
6679.78.32.128/2579.78.32.129 to 79.78.32.25479.78.32.255126
6779.78.33.0/2579.78.33.1 to 79.78.33.12679.78.33.127126
6879.78.33.128/2579.78.33.129 to 79.78.33.25479.78.33.255126
6979.78.34.0/2579.78.34.1 to 79.78.34.12679.78.34.127126
7079.78.34.128/2579.78.34.129 to 79.78.34.25479.78.34.255126
7179.78.35.0/2579.78.35.1 to 79.78.35.12679.78.35.127126
7279.78.35.128/2579.78.35.129 to 79.78.35.25479.78.35.255126
7379.78.36.0/2579.78.36.1 to 79.78.36.12679.78.36.127126
7479.78.36.128/2579.78.36.129 to 79.78.36.25479.78.36.255126
7579.78.37.0/2579.78.37.1 to 79.78.37.12679.78.37.127126
7679.78.37.128/2579.78.37.129 to 79.78.37.25479.78.37.255126
7779.78.38.0/2579.78.38.1 to 79.78.38.12679.78.38.127126
7879.78.38.128/2579.78.38.129 to 79.78.38.25479.78.38.255126
7979.78.39.0/2579.78.39.1 to 79.78.39.12679.78.39.127126
8079.78.39.128/2579.78.39.129 to 79.78.39.25479.78.39.255126
8179.78.40.0/2579.78.40.1 to 79.78.40.12679.78.40.127126
8279.78.40.128/2579.78.40.129 to 79.78.40.25479.78.40.255126
8379.78.41.0/2579.78.41.1 to 79.78.41.12679.78.41.127126
8479.78.41.128/2579.78.41.129 to 79.78.41.25479.78.41.255126
8579.78.42.0/2579.78.42.1 to 79.78.42.12679.78.42.127126
8679.78.42.128/2579.78.42.129 to 79.78.42.25479.78.42.255126
8779.78.43.0/2579.78.43.1 to 79.78.43.12679.78.43.127126
8879.78.43.128/2579.78.43.129 to 79.78.43.25479.78.43.255126
8979.78.44.0/2579.78.44.1 to 79.78.44.12679.78.44.127126
9079.78.44.128/2579.78.44.129 to 79.78.44.25479.78.44.255126
9179.78.45.0/2579.78.45.1 to 79.78.45.12679.78.45.127126
9279.78.45.128/2579.78.45.129 to 79.78.45.25479.78.45.255126
9379.78.46.0/2579.78.46.1 to 79.78.46.12679.78.46.127126
9479.78.46.128/2579.78.46.129 to 79.78.46.25479.78.46.255126
9579.78.47.0/2579.78.47.1 to 79.78.47.12679.78.47.127126
9679.78.47.128/2579.78.47.129 to 79.78.47.25479.78.47.255126
9779.78.48.0/2579.78.48.1 to 79.78.48.12679.78.48.127126
9879.78.48.128/2579.78.48.129 to 79.78.48.25479.78.48.255126
9979.78.49.0/2579.78.49.1 to 79.78.49.12679.78.49.127126
10079.78.49.128/2579.78.49.129 to 79.78.49.25479.78.49.255126
10179.78.50.0/2579.78.50.1 to 79.78.50.12679.78.50.127126
10279.78.50.128/2579.78.50.129 to 79.78.50.25479.78.50.255126
10379.78.51.0/2579.78.51.1 to 79.78.51.12679.78.51.127126
10479.78.51.128/2579.78.51.129 to 79.78.51.25479.78.51.255126
10579.78.52.0/2579.78.52.1 to 79.78.52.12679.78.52.127126
10679.78.52.128/2579.78.52.129 to 79.78.52.25479.78.52.255126
10779.78.53.0/2579.78.53.1 to 79.78.53.12679.78.53.127126
10879.78.53.128/2579.78.53.129 to 79.78.53.25479.78.53.255126
10979.78.54.0/2579.78.54.1 to 79.78.54.12679.78.54.127126
11079.78.54.128/2579.78.54.129 to 79.78.54.25479.78.54.255126
11179.78.55.0/2579.78.55.1 to 79.78.55.12679.78.55.127126
11279.78.55.128/2579.78.55.129 to 79.78.55.25479.78.55.255126
11379.78.56.0/2579.78.56.1 to 79.78.56.12679.78.56.127126
11479.78.56.128/2579.78.56.129 to 79.78.56.25479.78.56.255126
11579.78.57.0/2579.78.57.1 to 79.78.57.12679.78.57.127126
11679.78.57.128/2579.78.57.129 to 79.78.57.25479.78.57.255126
11779.78.58.0/2579.78.58.1 to 79.78.58.12679.78.58.127126
11879.78.58.128/2579.78.58.129 to 79.78.58.25479.78.58.255126
11979.78.59.0/2579.78.59.1 to 79.78.59.12679.78.59.127126
12079.78.59.128/2579.78.59.129 to 79.78.59.25479.78.59.255126
12179.78.60.0/2579.78.60.1 to 79.78.60.12679.78.60.127126
12279.78.60.128/2579.78.60.129 to 79.78.60.25479.78.60.255126
12379.78.61.0/2579.78.61.1 to 79.78.61.12679.78.61.127126
12479.78.61.128/2579.78.61.129 to 79.78.61.25479.78.61.255126
12579.78.62.0/2579.78.62.1 to 79.78.62.12679.78.62.127126
12679.78.62.128/2579.78.62.129 to 79.78.62.25479.78.62.255126
12779.78.63.0/2579.78.63.1 to 79.78.63.12679.78.63.127126
12879.78.63.128/2579.78.63.129 to 79.78.63.25479.78.63.255126
12979.78.64.0/2579.78.64.1 to 79.78.64.12679.78.64.127126
13079.78.64.128/2579.78.64.129 to 79.78.64.25479.78.64.255126
13179.78.65.0/2579.78.65.1 to 79.78.65.12679.78.65.127126
13279.78.65.128/2579.78.65.129 to 79.78.65.25479.78.65.255126
13379.78.66.0/2579.78.66.1 to 79.78.66.12679.78.66.127126
13479.78.66.128/2579.78.66.129 to 79.78.66.25479.78.66.255126
13579.78.67.0/2579.78.67.1 to 79.78.67.12679.78.67.127126
13679.78.67.128/2579.78.67.129 to 79.78.67.25479.78.67.255126
13779.78.68.0/2579.78.68.1 to 79.78.68.12679.78.68.127126
13879.78.68.128/2579.78.68.129 to 79.78.68.25479.78.68.255126
13979.78.69.0/2579.78.69.1 to 79.78.69.12679.78.69.127126
14079.78.69.128/2579.78.69.129 to 79.78.69.25479.78.69.255126
14179.78.70.0/2579.78.70.1 to 79.78.70.12679.78.70.127126
14279.78.70.128/2579.78.70.129 to 79.78.70.25479.78.70.255126
14379.78.71.0/2579.78.71.1 to 79.78.71.12679.78.71.127126
14479.78.71.128/2579.78.71.129 to 79.78.71.25479.78.71.255126
14579.78.72.0/2579.78.72.1 to 79.78.72.12679.78.72.127126
14679.78.72.128/2579.78.72.129 to 79.78.72.25479.78.72.255126
14779.78.73.0/2579.78.73.1 to 79.78.73.12679.78.73.127126
14879.78.73.128/2579.78.73.129 to 79.78.73.25479.78.73.255126
14979.78.74.0/2579.78.74.1 to 79.78.74.12679.78.74.127126
15079.78.74.128/2579.78.74.129 to 79.78.74.25479.78.74.255126
15179.78.75.0/2579.78.75.1 to 79.78.75.12679.78.75.127126
15279.78.75.128/2579.78.75.129 to 79.78.75.25479.78.75.255126
15379.78.76.0/2579.78.76.1 to 79.78.76.12679.78.76.127126
15479.78.76.128/2579.78.76.129 to 79.78.76.25479.78.76.255126
15579.78.77.0/2579.78.77.1 to 79.78.77.12679.78.77.127126
15679.78.77.128/2579.78.77.129 to 79.78.77.25479.78.77.255126
15779.78.78.0/2579.78.78.1 to 79.78.78.12679.78.78.127126
15879.78.78.128/2579.78.78.129 to 79.78.78.25479.78.78.255126
15979.78.79.0/2579.78.79.1 to 79.78.79.12679.78.79.127126
16079.78.79.128/2579.78.79.129 to 79.78.79.25479.78.79.255126
16179.78.80.0/2579.78.80.1 to 79.78.80.12679.78.80.127126
16279.78.80.128/2579.78.80.129 to 79.78.80.25479.78.80.255126
16379.78.81.0/2579.78.81.1 to 79.78.81.12679.78.81.127126
16479.78.81.128/2579.78.81.129 to 79.78.81.25479.78.81.255126
16579.78.82.0/2579.78.82.1 to 79.78.82.12679.78.82.127126
16679.78.82.128/2579.78.82.129 to 79.78.82.25479.78.82.255126
16779.78.83.0/2579.78.83.1 to 79.78.83.12679.78.83.127126
16879.78.83.128/2579.78.83.129 to 79.78.83.25479.78.83.255126
16979.78.84.0/2579.78.84.1 to 79.78.84.12679.78.84.127126
17079.78.84.128/2579.78.84.129 to 79.78.84.25479.78.84.255126
17179.78.85.0/2579.78.85.1 to 79.78.85.12679.78.85.127126
17279.78.85.128/2579.78.85.129 to 79.78.85.25479.78.85.255126
17379.78.86.0/2579.78.86.1 to 79.78.86.12679.78.86.127126
17479.78.86.128/2579.78.86.129 to 79.78.86.25479.78.86.255126
17579.78.87.0/2579.78.87.1 to 79.78.87.12679.78.87.127126
17679.78.87.128/2579.78.87.129 to 79.78.87.25479.78.87.255126
17779.78.88.0/2579.78.88.1 to 79.78.88.12679.78.88.127126
17879.78.88.128/2579.78.88.129 to 79.78.88.25479.78.88.255126
17979.78.89.0/2579.78.89.1 to 79.78.89.12679.78.89.127126
18079.78.89.128/2579.78.89.129 to 79.78.89.25479.78.89.255126
18179.78.90.0/2579.78.90.1 to 79.78.90.12679.78.90.127126
18279.78.90.128/2579.78.90.129 to 79.78.90.25479.78.90.255126
18379.78.91.0/2579.78.91.1 to 79.78.91.12679.78.91.127126
18479.78.91.128/2579.78.91.129 to 79.78.91.25479.78.91.255126
18579.78.92.0/2579.78.92.1 to 79.78.92.12679.78.92.127126
18679.78.92.128/2579.78.92.129 to 79.78.92.25479.78.92.255126
18779.78.93.0/2579.78.93.1 to 79.78.93.12679.78.93.127126
18879.78.93.128/2579.78.93.129 to 79.78.93.25479.78.93.255126
18979.78.94.0/2579.78.94.1 to 79.78.94.12679.78.94.127126
19079.78.94.128/2579.78.94.129 to 79.78.94.25479.78.94.255126
19179.78.95.0/2579.78.95.1 to 79.78.95.12679.78.95.127126
19279.78.95.128/2579.78.95.129 to 79.78.95.25479.78.95.255126
19379.78.96.0/2579.78.96.1 to 79.78.96.12679.78.96.127126
19479.78.96.128/2579.78.96.129 to 79.78.96.25479.78.96.255126
19579.78.97.0/2579.78.97.1 to 79.78.97.12679.78.97.127126
19679.78.97.128/2579.78.97.129 to 79.78.97.25479.78.97.255126
19779.78.98.0/2579.78.98.1 to 79.78.98.12679.78.98.127126
19879.78.98.128/2579.78.98.129 to 79.78.98.25479.78.98.255126
19979.78.99.0/2579.78.99.1 to 79.78.99.12679.78.99.127126
20079.78.99.128/2579.78.99.129 to 79.78.99.25479.78.99.255126
20179.78.100.0/2579.78.100.1 to 79.78.100.12679.78.100.127126
20279.78.100.128/2579.78.100.129 to 79.78.100.25479.78.100.255126
20379.78.101.0/2579.78.101.1 to 79.78.101.12679.78.101.127126
20479.78.101.128/2579.78.101.129 to 79.78.101.25479.78.101.255126
20579.78.102.0/2579.78.102.1 to 79.78.102.12679.78.102.127126
20679.78.102.128/2579.78.102.129 to 79.78.102.25479.78.102.255126
20779.78.103.0/2579.78.103.1 to 79.78.103.12679.78.103.127126
20879.78.103.128/2579.78.103.129 to 79.78.103.25479.78.103.255126
20979.78.104.0/2579.78.104.1 to 79.78.104.12679.78.104.127126
21079.78.104.128/2579.78.104.129 to 79.78.104.25479.78.104.255126
21179.78.105.0/2579.78.105.1 to 79.78.105.12679.78.105.127126
21279.78.105.128/2579.78.105.129 to 79.78.105.25479.78.105.255126
21379.78.106.0/2579.78.106.1 to 79.78.106.12679.78.106.127126
21479.78.106.128/2579.78.106.129 to 79.78.106.25479.78.106.255126
21579.78.107.0/2579.78.107.1 to 79.78.107.12679.78.107.127126
21679.78.107.128/2579.78.107.129 to 79.78.107.25479.78.107.255126
21779.78.108.0/2579.78.108.1 to 79.78.108.12679.78.108.127126
21879.78.108.128/2579.78.108.129 to 79.78.108.25479.78.108.255126
21979.78.109.0/2579.78.109.1 to 79.78.109.12679.78.109.127126
22079.78.109.128/2579.78.109.129 to 79.78.109.25479.78.109.255126
22179.78.110.0/2579.78.110.1 to 79.78.110.12679.78.110.127126
22279.78.110.128/2579.78.110.129 to 79.78.110.25479.78.110.255126
22379.78.111.0/2579.78.111.1 to 79.78.111.12679.78.111.127126
22479.78.111.128/2579.78.111.129 to 79.78.111.25479.78.111.255126
22579.78.112.0/2579.78.112.1 to 79.78.112.12679.78.112.127126
22679.78.112.128/2579.78.112.129 to 79.78.112.25479.78.112.255126
22779.78.113.0/2579.78.113.1 to 79.78.113.12679.78.113.127126
22879.78.113.128/2579.78.113.129 to 79.78.113.25479.78.113.255126
22979.78.114.0/2579.78.114.1 to 79.78.114.12679.78.114.127126
23079.78.114.128/2579.78.114.129 to 79.78.114.25479.78.114.255126
23179.78.115.0/2579.78.115.1 to 79.78.115.12679.78.115.127126
23279.78.115.128/2579.78.115.129 to 79.78.115.25479.78.115.255126
23379.78.116.0/2579.78.116.1 to 79.78.116.12679.78.116.127126
23479.78.116.128/2579.78.116.129 to 79.78.116.25479.78.116.255126
23579.78.117.0/2579.78.117.1 to 79.78.117.12679.78.117.127126
23679.78.117.128/2579.78.117.129 to 79.78.117.25479.78.117.255126
23779.78.118.0/2579.78.118.1 to 79.78.118.12679.78.118.127126
23879.78.118.128/2579.78.118.129 to 79.78.118.25479.78.118.255126
23979.78.119.0/2579.78.119.1 to 79.78.119.12679.78.119.127126
24079.78.119.128/2579.78.119.129 to 79.78.119.25479.78.119.255126
24179.78.120.0/2579.78.120.1 to 79.78.120.12679.78.120.127126
24279.78.120.128/2579.78.120.129 to 79.78.120.25479.78.120.255126
24379.78.121.0/2579.78.121.1 to 79.78.121.12679.78.121.127126
24479.78.121.128/2579.78.121.129 to 79.78.121.25479.78.121.255126
24579.78.122.0/2579.78.122.1 to 79.78.122.12679.78.122.127126
24679.78.122.128/2579.78.122.129 to 79.78.122.25479.78.122.255126
24779.78.123.0/2579.78.123.1 to 79.78.123.12679.78.123.127126
24879.78.123.128/2579.78.123.129 to 79.78.123.25479.78.123.255126
24979.78.124.0/2579.78.124.1 to 79.78.124.12679.78.124.127126
25079.78.124.128/2579.78.124.129 to 79.78.124.25479.78.124.255126
25179.78.125.0/2579.78.125.1 to 79.78.125.12679.78.125.127126
25279.78.125.128/2579.78.125.129 to 79.78.125.25479.78.125.255126
25379.78.126.0/2579.78.126.1 to 79.78.126.12679.78.126.127126
25479.78.126.128/2579.78.126.129 to 79.78.126.25479.78.126.255126
25579.78.127.0/2579.78.127.1 to 79.78.127.12679.78.127.127126
25679.78.127.128/2579.78.127.129 to 79.78.127.25479.78.127.255126

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses